#!/usr/bin/python3

# tips lancement : sudo python exo4.py comptes.txt

import os
import sys

# Fonction pour créer un utilisateur avec le login et le nom complet
def create_user(login, full_name):
    try:
        # Commande pour créer un utilisateur avec le login et le nom complet
        os.system(f'sudo useradd -m -c "{full_name}" {login}')
        print(f"Utilisateur {login} créé avec succès.")
    except Exception as e:
        print(f"Erreur lors de la création de l'utilisateur {login}: {e}")

# Fonction principale pour lire le fichier et créer les utilisateurs
def main(filename):
    try:
        with open(filename, 'r') as file:
            for line in file:
                # Suppression des espaces et découpage de la ligne
                line = line.strip()
                if line:
                    login, full_name = line.split(':')
                    create_user(login.strip(), full_name.strip())
    except FileNotFoundError:
        print(f"Le fichier {filename} n'a pas été trouvé.")
    except Exception as e:
        print(f"Erreur lors de la lecture du fichier {filename}: {e}")

# Point d'entrée du script
if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python exo4.py <nom_du_fichier>")
    else:
        main(sys.argv[1])
